summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author B. Watson2022-03-31 20:26:37 +0200
committer Willy Sudiarto Raharjo2022-04-02 13:18:48 +0200
commit03394f9f699f6ba8206fc0bdebbcee0ba8fd5cf1 (patch)
tree5b0eacdb9fa740ed9e676ed8dcd7c1228a771924 /multimedia
parentc7e655caeaa8577b607394ae2d0a460ad36eaa91 (diff)
downloadslackbuilds-03394f9f699f6ba8206fc0bdebbcee0ba8fd5cf1.tar.gz
multimedia/jlscp: Fix jdk detection.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/jlscp/jlscp.SlackBuild23
1 files changed, 18 insertions, 5 deletions
diff --git a/multimedia/jlscp/jlscp.SlackBuild b/multimedia/jlscp/jlscp.SlackBuild
index 816ea50d78..804f822e34 100644
--- a/multimedia/jlscp/jlscp.SlackBuild
+++ b/multimedia/jlscp/jlscp.SlackBuild
@@ -4,6 +4,10 @@
# Written by klaatu@member.fsf.org
+# 20220331 bkw: Modified by SlackBuilds.org: fail if JAVA_HOME not set
+# and can't be set from profile.d script. This avoid creating a /jre
+# in the package root.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=jlscp
@@ -13,9 +17,6 @@ TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
ARCH=noarch
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -36,9 +37,21 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ -exec chmod 644 {} \+
+
+if [ -z "$JAVA_HOME" ]; then
+ source /etc/profile.d/zulu-openjdk8.sh
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ cat <<EOF
+*** No JDK found. Install zulu-openjdk8 or another *jdk package and
+*** try again.
+EOF
+ exit 1
+fi
# here is the install, such as it is
mkdir -p $PKG/$JAVA_HOME/jre/lib/ext